Retrieves all the company contact
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "5e88102e-59e9-44c4-a6a8-4eef43250f49",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "9e2a57cf-2171-4022-830d-cb443ef95a46",
"company_code": "sample string 5",
"company": {
"id": "74358a7c-4619-44a4-aa51-3c7d81d21bb7",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-19T19:59:02.6672359+00:00",
"sales_territory_id": "2cee808a-d93f-4c9c-b3b6-656932923fc7",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "05f4d0db-7249-4676-81a0-da058a9e8c03",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "de3fc2a8-5bf9-4439-8929-e290fd0fc16e",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "f09e3907-73df-48bd-ad34-bc80c9140624",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "1cc49b87-f75c-44b5-bfde-f891fcca767c",
"db_currency_id": "46e247a5-50db-4f7a-8319-8a8d64589353",
"db_language_id": "2478f404-cdd7-4315-97c2-6cf489da4c42",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-19T19:59:02.6672359+00:00"
},
"modified_dateutc": "2026-11-19T19:59:02.6672359+00:00"
},
"marketing_segment_id": "93b2a1dc-1873-44ab-9149-44978bc134ea",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "d5d871e1-719e-48af-b38e-90ea5c1cfaf1",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "e37e4cf8-17d8-44d8-adad-13a5cc7f2eec",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "496c8422-0372-42d1-9b4b-1d50ba62a553",
"db_country_code": "sample string 28",
"feelist_id": "843b698d-6119-4ed1-892f-9530e8e86522",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "5349453e-15d9-44c3-82ba-91b38151508e",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "1cf599a9-5187-4629-8c57-5b19a50d163e",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-19T19:59:02.6672359+00:00",
"db_currency_id": "2997b87e-1cd6-465f-a5f4-c479a98150fd",
"db_currency_code": "sample string 10"
},
"company_type_id": "567e0542-dd35-4ab8-88ae-b7d5714d5089",
"company_type_name": "sample string 32",
"company_type": {
"id": "8549b255-8271-44b9-84d3-1083e4208050",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "9aa39dc6-32fe-41da-b057-55b1028af590",
"sales_organization_code": "sample string 5"
},
"db_language_id": "cbd66057-1a7b-4f9b-b3ef-06cbb5cd677c",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "938bbbee-f4fc-4dc4-80e5-ebaa65b37b98",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "ab84a8eb-e67b-469e-9e02-17d30233f090",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "d96815f2-9c65-4c3a-a442-d50506cd9ce0",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-19T19:59:02.6672359+00:00"
},
"company_sector_id": "73542b50-9117-49ea-8955-e470bd5ea178",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "192b15dd-a5a1-4c4f-a8ad-511282a5c12d",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "41e561ec-7c7e-4e9f-8d86-4aac25742f6e",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "f5a897af-4314-440a-94a9-fa588a636f61",
"account_manager_user_code": "sample string 56",
"company_status_id": "5aaa0ba6-2926-4a87-9ed6-28e9f5c6ddd9",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-19T19:59:02.6672359+00:00",
"id2": 60
},
"db_language_id": "9573323f-cf05-4369-8f16-e797dfe03e5d",
"db_language_code": "sample string 7",
"db_title_id": "1110f610-8dfb-4444-b42b-ff00de2cb53f",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-19T19:59:02.6672359+00:00",
"create_date": "2026-11-19T19:59:02.6672359+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-19T19:59:02.6672359+00:00"
}